<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/book.krb5.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'en',
  ),
  'this' => 
  array (
    0 => 'class.gssapicontext.php',
    1 => 'GSSAPIContext',
  ),
  'up' => 
  array (
    0 => 'book.krb5.php',
    1 => 'Kerberos V / KADM5 / GSSAPI',
  ),
  'prev' => 
  array (
    0 => 'krb5ccache.setconfig.php',
    1 => 'KRB5CCache::setConfig',
  ),
  'next' => 
  array (
    0 => 'gssapicontext.acceptseccontext.php',
    1 => 'GSSAPIContext::acceptSecContext',
  ),
);
$setup["toc"] = $TOC;
$setup["parents"] = $PARENTS;
manual_setup($setup);

manual_header();
?>
<div>

 <h1 class="title">The GSSAPIContext class</h1>
 

 <div class="partintro">


  <div id="gssapicontext.intro" class="section">
   <h2 class="title">Introduction</h2>
   <p class="para">
    Objects of this class represent GSSAPI security contexts. It is suitable for both initiating and accepting security contexts. It is designed to work with the kerberos mechanism.
   </p>
  </div>


  <div id="gssapicontext.synopsis" class="section">
   <h2 class="title">Class synopsis</h2>


   <div class="classsynopsis">
    <div class="ooclass"><b class="classname">GSSAPIContext</b></div>


    <div class="classsynopsisinfo">
     <span class="ooclass">
      <b class="classname">GSSAPIContext</b>
     </span>
     {</div>

    
    <div class="classsynopsisinfo classsynopsisinfo_comment">/* Methods */</div>
    <div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="type">bool</span> <span class="methodname"><b><a href="gssapicontext.acceptseccontext.php" class="function">GSSAPIContext::acceptSecContext</a></b></span>
    ( <span class="methodparam"><span class="type">string</span> <tt class="parameter">$input_token</tt></span>
   [, <span class="methodparam"><span class="type">string</span> <tt class="parameter reference">&$output_token</tt></span>
   [, <span class="methodparam"><span class="type">string</span> <tt class="parameter reference">&$src_name</tt></span>
   [, <span class="methodparam"><span class="type">int</span> <tt class="parameter reference">&$ret_flags</tt></span>
   [, <span class="methodparam"><span class="type">int</span> <tt class="parameter reference">&$time_rec</tt></span>
   [, <span class="methodparam"><span class="type"><a href="class.krb5ccache.php" class="type KRB5CCache">KRB5CCache</a></span> <tt class="parameter">$deleg</tt></span>
  ]]]]] )</div>
<div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="type">void</span> <span class="methodname"><b><a href="gssapicontext.acquirecredentials.php" class="function">GSSAPIContext::acquireCredentials</a></b></span>
    ( <span class="methodparam"><span class="type"><a href="class.krb5ccache.php" class="type KRB5CCache">KRB5CCache</a></span> <tt class="parameter">$ccache</tt></span>
   )</div>
<div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="type">string</span> <span class="methodname"><b><a href="gssapicontext.getmic.php" class="function">GSSAPIContext::getMic</a></b></span>
    ( <span class="methodparam"><span class="type">string</span> <tt class="parameter">$message</tt></span>
   )</div>
<div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="type">bool</span> <span class="methodname"><b><a href="gssapicontext.initseccontext.php" class="function">GSSAPIContext::initSecContext</a></b></span>
    ( <span class="methodparam"><span class="type">string</span> <tt class="parameter">$target</tt></span>
   [, <span class="methodparam"><span class="type">string</span> <tt class="parameter">$input_token</tt></span>
   [, <span class="methodparam"><span class="type">int</span> <tt class="parameter">$reqflags</tt></span>
   [, <span class="methodparam"><span class="type">int</span> <tt class="parameter">$timereq</tt></span>
   [, <span class="methodparam"><span class="type">string</span> <tt class="parameter reference">&$output_token</tt></span>
   [, <span class="methodparam"><span class="type">string</span> <tt class="parameter reference">&$ret_flags</tt></span>
   [, <span class="methodparam"><span class="type">string</span> <tt class="parameter reference">&$time_rec</tt></span>
  ]]]]]] )</div>
<div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="type">void</span> <span class="methodname"><b><a href="gssapicontext.inquirecredentials.php" class="function">GSSAPIContext::inquireCredentials</a></b></span>
    ( <span class="methodparam">void</span>
   )</div>
<div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="type">bool</span> <span class="methodname"><b><a href="gssapicontext.unwrap.php" class="function">GSSAPIContext::unwrap</a></b></span>
    ( <span class="methodparam"><span class="type">string</span> <tt class="parameter">$input</tt></span>
   , <span class="methodparam"><span class="type">string</span> <tt class="parameter reference">&$output</tt></span>
   )</div>
<div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="type">boolean</span> <span class="methodname"><b><a href="gssapicontext.verifymic.php" class="function">GSSAPIContext::verifyMic</a></b></span>
    ( <span class="methodparam"><span class="type">string</span> <tt class="parameter">$message</tt></span>
   , <span class="methodparam"><span class="type">string</span> <tt class="parameter">$mic</tt></span>
   )</div>
<div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="type">bool</span> <span class="methodname"><b><a href="gssapicontext.wrap.php" class="function">GSSAPIContext::wrap</a></b></span>
    ( <span class="methodparam"><span class="type">string</span> <tt class="parameter">$input</tt></span>
   , <span class="methodparam"><span class="type">string</span> <tt class="parameter reference">&$output</tt></span>
   [, <span class="methodparam"><span class="type">boolean</span> <tt class="parameter">$encrypt</tt></span>
  ] )</div>

   }</div>


  </div>

 </div>

 

























































<h2>Table of Contents</h2><ul class="chunklist chunklist_reference"><li><a href="gssapicontext.acceptseccontext.php">GSSAPIContext::acceptSecContext</a> — Accepts a GSSAPI context initiated by a remote party</li><li><a href="gssapicontext.acquirecredentials.php">GSSAPIContext::acquireCredentials</a> — Obtains credentials for establishing a GSSAPI context</li><li><a href="gssapicontext.getmic.php">GSSAPIContext::getMic</a> — Calculate a MIC on a given message</li><li><a href="gssapicontext.initseccontext.php">GSSAPIContext::initSecContext</a> — Initiates a GSSAPI security context</li><li><a href="gssapicontext.inquirecredentials.php">GSSAPIContext::inquireCredentials</a> — Gets information about the credentials used for context establishment</li><li><a href="gssapicontext.unwrap.php">GSSAPIContext::unwrap</a> — Unwraps a previously wrapped message</li><li><a href="gssapicontext.verifymic.php">GSSAPIContext::verifyMic</a> — Verifies a MIC calculated by the remote party</li><li><a href="gssapicontext.wrap.php">GSSAPIContext::wrap</a> — Wraps a message</li></ul>
</div>
<?php manual_footer(); ?>