<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/ref.krb5.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'en',
  ),
  'this' => 
  array (
    0 => 'function.kadm5-get-principal.php',
    1 => 'kadm5_get_principal',
  ),
  'up' => 
  array (
    0 => 'ref.krb5.php',
    1 => 'KADM5 Functions',
  ),
  'prev' => 
  array (
    0 => 'function.kadm5-get-policies.php',
    1 => 'kadm5_get_policies',
  ),
  'next' => 
  array (
    0 => 'function.kadm5-get-principals.php',
    1 => 'kadm5_get_principals',
  ),
);
$setup["toc"] = $TOC;
$setup["parents"] = $PARENTS;
manual_setup($setup);

manual_header();
?>
<div id="function.kadm5-get-principal" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">kadm5_get_principal</h1>
  <p class="verinfo">(PECL kadm5 &gt;= 0.2.3)</p><p class="refpurpose"><span class="refname">kadm5_get_principal</span> &mdash; <span class="dc-title">Gets the principal&#039;s entries from the Kerberos database</span></p>

 </div>

 <div class="refsect1 description">
  <h3 class="title">Description</h3>
  <div class="methodsynopsis dc-description">
   <span class="type">array</span> <span class="methodname"><b><b>kadm5_get_principal</b></b></span>
    ( <span class="methodparam"><span class="type">resource</span> <tt class="parameter">$handle</tt></span>
   , <span class="methodparam"><span class="type">string</span> <tt class="parameter">$principal</tt></span>
   )</div>

  <p class="para rdfs-comment">
   Gets the principal&#039;s entries from the Kerberos database.
  </p>
 </div>


 <div class="refsect1 parameters">
  <h3 class="title">Parameters</h3>
  <p class="para">
   <dl>

    <dt>

     <span class="term"><i><tt class="parameter">handle</tt></i>
</span>

     <dd>

      <p class="para">
       A KADM5 handle.
      </p>
     </dd>

    </dt>

    <dt>

     <span class="term"><i><tt class="parameter">principal</tt></i>
</span>

     <dd>

      <p class="para">
       The principal.
      </p>
     </dd>

    </dt>

   </dl>

  </p>
 </div>


 <div class="refsect1 returnvalues">
  <h3 class="title">Return Values</h3>
  <p class="para">
   Returns array of options containing the following keys: KADM5_PRINCIPAL,
   KADM5_PRINC_EXPIRE_TIME, KADM5_PW_EXPIRATION, KADM5_ATTRIBUTES,
   KADM5_MAX_LIFE, KADM5_MOD_NAME, KADM5_MOD_TIME, KADM5_KVNO, KADM5_POLICY,
   KADM5_MAX_RLIFE, KADM5_LAST_SUCCESS, KADM5_LAST_FAILED,
   KADM5_FAIL_AUTH_COUNT on success, or <b><tt>FALSE</tt></b> on failure.
  </p>
 </div>


 <div class="refsect1 examples">
  <h3 class="title">Examples</h3>
  <p class="para">
   <div class="example">
    <p><b>Example #1 <b>kadm5_get_principal()</b> example</b></p>
    <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000">
<span style="color: #0000BB">&lt;?php<br />$handle&nbsp;</span><span style="color: #007700">=&nbsp;</span><span style="color: #0000BB">kadm5_init_with_password</span><span style="color: #007700">(</span><span style="color: #DD0000">"afs-1"</span><span style="color: #007700">,&nbsp;</span><span style="color: #DD0000">"GONICUS.LOCAL"</span><span style="color: #007700">,&nbsp;</span><span style="color: #DD0000">"admin/admin"</span><span style="color: #007700">,&nbsp;</span><span style="color: #DD0000">"password"</span><span style="color: #007700">);<br /><br />print&nbsp;</span><span style="color: #DD0000">"&lt;h1&gt;get_principal&nbsp;burbach@GONICUS.LOCAL&lt;/h1&gt;\n"</span><span style="color: #007700">;<br /><br /></span><span style="color: #0000BB">$options&nbsp;</span><span style="color: #007700">=&nbsp;</span><span style="color: #0000BB">kadm5_get_principal</span><span style="color: #007700">(</span><span style="color: #0000BB">$handle</span><span style="color: #007700">,&nbsp;</span><span style="color: #DD0000">"burbach@GONICUS.LOCAL"&nbsp;</span><span style="color: #007700">);<br /><br />foreach&nbsp;(</span><span style="color: #0000BB">$options&nbsp;</span><span style="color: #007700">as&nbsp;</span><span style="color: #0000BB">$key&nbsp;</span><span style="color: #007700">=&gt;&nbsp;</span><span style="color: #0000BB">$value</span><span style="color: #007700">)&nbsp;{<br />&nbsp;&nbsp;&nbsp;&nbsp;echo&nbsp;</span><span style="color: #DD0000">"</span><span style="color: #0000BB">$key</span><span style="color: #DD0000">:&nbsp;</span><span style="color: #0000BB">$value</span><span style="color: #DD0000">&lt;br&nbsp;/&gt;\n"</span><span style="color: #007700">;<br />}<br /><br /></span><span style="color: #0000BB">kadm5_destroy</span><span style="color: #007700">(</span><span style="color: #0000BB">$handle</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">?&gt;</span>
</span>
</code></div>
    </div>

   </div>
  </p>
 </div>


 <div class="refsect1 seealso">
  <h3 class="title">See Also</h3>
  <p class="para">
   <ul class="simplelist">
    <li class="member"><a href="function.kadm5-get-principals.php" class="function" rel="rdfs-seeAlso">kadm5_get_principals()</a></li>
   </ul>
  </p>
 </div>


</div><?php manual_footer(); ?>