<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/ref.krb5.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'en',
  ),
  'this' => 
  array (
    0 => 'function.kadm5-init-with-password.php',
    1 => 'kadm5_init_with_password',
  ),
  'up' => 
  array (
    0 => 'ref.krb5.php',
    1 => 'KADM5 Functions',
  ),
  'prev' => 
  array (
    0 => 'function.kadm5-get-principals.php',
    1 => 'kadm5_get_principals',
  ),
  'next' => 
  array (
    0 => 'function.kadm5-modify-principal.php',
    1 => 'kadm5_modify_principal',
  ),
);
$setup["toc"] = $TOC;
$setup["parents"] = $PARENTS;
manual_setup($setup);

manual_header();
?>
<div id="function.kadm5-init-with-password" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">kadm5_init_with_password</h1>
  <p class="verinfo">(PECL kadm5 &gt;= 0.2.3)</p><p class="refpurpose"><span class="refname">kadm5_init_with_password</span> &mdash; <span class="dc-title">Opens a connection to the KADM5 library</span></p>

 </div>

 <div class="refsect1 description">
  <h3 class="title">Description</h3>
  <div class="methodsynopsis dc-description">
   <span class="type">resource</span> <span class="methodname"><b><b>kadm5_init_with_password</b></b></span>
    ( <span class="methodparam"><span class="type">string</span> <tt class="parameter">$admin_server</tt></span>
   , <span class="methodparam"><span class="type">string</span> <tt class="parameter">$realm</tt></span>
   , <span class="methodparam"><span class="type">string</span> <tt class="parameter">$principal</tt></span>
   , <span class="methodparam"><span class="type">string</span> <tt class="parameter">$password</tt></span>
   )</div>

  <p class="para rdfs-comment">
   Opens a connection with the KADM5 library using the
   <i><tt class="parameter">principal</tt></i>
 and the given
   <i><tt class="parameter">password</tt></i>
 to obtain initial credentials from the
   <i><tt class="parameter">admin_server</tt></i>
.
  </p>
 </div>


 <div class="refsect1 parameters">
  <h3 class="title">Parameters</h3>
  <p class="para">
   <dl>

    <dt>

     <span class="term"><i><tt class="parameter">admin_server</tt></i>
</span>

     <dd>

      <p class="para">
       The server.
      </p>
     </dd>

    </dt>

    <dt>

     <span class="term"><i><tt class="parameter">realm</tt></i>
</span>

     <dd>

      <p class="para">
       Defines the authentication domain for the connection.
      </p>
     </dd>

    </dt>

    <dt>

     <span class="term"><i><tt class="parameter">principal</tt></i>
</span>

     <dd>

      <p class="para">
       The principal.
      </p>
     </dd>

    </dt>

    <dt>

     <span class="term"><i><tt class="parameter">password</tt></i>
</span>

     <dd>

      <p class="para">
       If <i><tt class="parameter">password</tt></i>
 is omitted or is <b><tt>NULL</tt></b>, a random
       key will be generated.
      </p>
     </dd>

    </dt>

   </dl>

  </p>
 </div>


 <div class="refsect1 returnvalues">
  <h3 class="title">Return Values</h3>
  <p class="para">
   Returns a KADM5 handle on success, or <b><tt>FALSE</tt></b> on failure.
  </p>
 </div>


 <div class="refsect1 examples">
  <h3 class="title">Examples</h3>
  <p class="para">
   <div class="example">
    <p><b>Example #1 KADM5 initialization example</b></p>
    <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000">
<span style="color: #0000BB">&lt;?php<br /><br />$handle&nbsp;</span><span style="color: #007700">=&nbsp;</span><span style="color: #0000BB">kadm5_init_with_password</span><span style="color: #007700">(</span><span style="color: #DD0000">"afs-1"</span><span style="color: #007700">,&nbsp;</span><span style="color: #DD0000">"GONICUS.LOCAL"</span><span style="color: #007700">,&nbsp;</span><span style="color: #DD0000">"admin/admin"</span><span style="color: #007700">,&nbsp;</span><span style="color: #DD0000">"password"</span><span style="color: #007700">);<br /><br /></span><span style="color: #0000BB">$attributes&nbsp;</span><span style="color: #007700">=&nbsp;</span><span style="color: #0000BB">KRB5_KDB_REQUIRES_PRE_AUTH&nbsp;</span><span style="color: #007700">|&nbsp;</span><span style="color: #0000BB">KRB5_KDB_DISALLOW_PROXIABLE</span><span style="color: #007700">;<br /></span><span style="color: #0000BB">$options&nbsp;</span><span style="color: #007700">=&nbsp;array(</span><span style="color: #0000BB">KADM5_PRINC_EXPIRE_TIME&nbsp;</span><span style="color: #007700">=&gt;&nbsp;</span><span style="color: #0000BB">0</span><span style="color: #007700">,<br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span style="color: #0000BB">KADM5_POLICY&nbsp;</span><span style="color: #007700">=&gt;&nbsp;</span><span style="color: #DD0000">"default"</span><span style="color: #007700">,<br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span style="color: #0000BB">KADM5_ATTRIBUTES&nbsp;</span><span style="color: #007700">=&gt;&nbsp;</span><span style="color: #0000BB">$attributes</span><span style="color: #007700">);<br /><br /></span><span style="color: #0000BB">kadm5_create_principal</span><span style="color: #007700">(</span><span style="color: #0000BB">$handle</span><span style="color: #007700">,&nbsp;</span><span style="color: #DD0000">"burbach@GONICUS.LOCAL"</span><span style="color: #007700">,&nbsp;</span><span style="color: #DD0000">"password"</span><span style="color: #007700">,&nbsp;</span><span style="color: #0000BB">$options</span><span style="color: #007700">);<br /><br /></span><span style="color: #0000BB">kadm5_destroy</span><span style="color: #007700">(</span><span style="color: #0000BB">$handle</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">?&gt;</span>
</span>
</code></div>
    </div>

   </div>
  </p>
 </div>


 <div class="refsect1 notes">
  <h3 class="title">Notes</h3>
  <blockquote><p><b class="note">Note</b>: 
   
    Connection should be closed after use with
    <a href="function.kadm5-destroy.php" class="function">kadm5_destroy()</a>.
   <br />
  </p></blockquote>
 </div>


 <div class="refsect1 seealso">
  <h3 class="title">See Also</h3>
  <p class="para">
   <ul class="simplelist">
    <li class="member"><a href="function.kadm5-destroy.php" class="function" rel="rdfs-seeAlso">kadm5_destroy()</a></li>
   </ul>
  </p>
 </div>


</div><?php manual_footer(); ?>