<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/ref.krb5.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'en',
  ),
  'this' => 
  array (
    0 => 'function.kadm5-modify-principal.php',
    1 => 'kadm5_modify_principal',
  ),
  'up' => 
  array (
    0 => 'ref.krb5.php',
    1 => 'KADM5 Functions',
  ),
  'prev' => 
  array (
    0 => 'function.kadm5-init-with-password.php',
    1 => 'kadm5_init_with_password',
  ),
  'next' => 
  array (
    0 => NULL,
    1 => NULL,
  ),
);
$setup["toc"] = $TOC;
$setup["parents"] = $PARENTS;
manual_setup($setup);

manual_header();
?>
<div id="function.kadm5-modify-principal" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">kadm5_modify_principal</h1>
  <p class="verinfo">(PECL kadm5 &gt;= 0.2.3)</p><p class="refpurpose"><span class="refname">kadm5_modify_principal</span> &mdash; <span class="dc-title">Modifies a kerberos principal with the given parameters</span></p>

 </div>

 <div class="refsect1 description">
  <h3 class="title">Description</h3>
  <div class="methodsynopsis dc-description">
   <span class="type">bool</span> <span class="methodname"><b><b>kadm5_modify_principal</b></b></span>
    ( <span class="methodparam"><span class="type">resource</span> <tt class="parameter">$handle</tt></span>
   , <span class="methodparam"><span class="type">string</span> <tt class="parameter">$principal</tt></span>
   , <span class="methodparam"><span class="type">array</span> <tt class="parameter">$options</tt></span>
   )</div>

  <p class="para rdfs-comment">
   Modifies a <i><tt class="parameter">principal</tt></i>
 according to the given
   <i><tt class="parameter">options</tt></i>
.
  </p>
 </div>


 <div class="refsect1 parameters">
  <h3 class="title">Parameters</h3>
  <p class="para">
   <dl>

    <dt>

     <span class="term"><i><tt class="parameter">handle</tt></i>
</span>

     <dd>

      <p class="para">
       A KADM5 handle.
      </p>
     </dd>

    </dt>

    <dt>

     <span class="term"><i><tt class="parameter">principal</tt></i>
</span>

     <dd>

      <p class="para">
       The principal.
      </p>
     </dd>

    </dt>

    <dt>

     <span class="term"><i><tt class="parameter">options</tt></i>
</span>

     <dd>

      <p class="para">
       It is possible to specify several optional parameters within the
       array <i><tt class="parameter">options</tt></i>
. Allowed are the following options:
       <b><tt>KADM5_PRINC_EXPIRE_TIME</tt></b>,
       <b><tt>KADM5_PW_EXPIRATION</tt></b>,
       <b><tt>KADM5_ATTRIBUTES</tt></b>,
       <b><tt>KADM5_MAX_LIFE</tt></b>,
       <b><tt>KADM5_KVNO</tt></b>,
       <b><tt>KADM5_POLICY</tt></b>,
       <b><tt>KADM5_CLEARPOLICY</tt></b>,
       <b><tt>KADM5_MAX_RLIFE</tt></b>.
       <b><tt>KADM5_FAIL_AUTH_COUNT</tt></b>.
      </p>
     </dd>

    </dt>

   </dl>

  </p>
 </div>


 <div class="refsect1 returnvalues">
  <h3 class="title">Return Values</h3>
  <p class="para">
   Returns <b><tt>TRUE</tt></b> on success or <b><tt>FALSE</tt></b> on failure.
  </p>
 </div>


 <div class="refsect1 examples">
  <h3 class="title">Examples</h3>
  <p class="para">
   <div class="example">
    <p><b>Example #1 Example of modifying principal</b></p>
    <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000">
<span style="color: #0000BB">&lt;?php<br /><br />$handle&nbsp;</span><span style="color: #007700">=&nbsp;</span><span style="color: #0000BB">kadm5_init_with_password</span><span style="color: #007700">(</span><span style="color: #DD0000">"afs-1"</span><span style="color: #007700">,&nbsp;</span><span style="color: #DD0000">"GONICUS.LOCAL"</span><span style="color: #007700">,&nbsp;</span><span style="color: #DD0000">"admin/admin"</span><span style="color: #007700">,&nbsp;</span><span style="color: #DD0000">"password"</span><span style="color: #007700">);<br /><br /></span><span style="color: #0000BB">$attributes&nbsp;</span><span style="color: #007700">=&nbsp;</span><span style="color: #0000BB">KRB5_KDB_REQUIRES_PRE_AUTH</span><span style="color: #007700">;<br /></span><span style="color: #0000BB">$options&nbsp;</span><span style="color: #007700">=&nbsp;array(</span><span style="color: #0000BB">KADM5_PRINC_EXPIRE_TIME&nbsp;</span><span style="color: #007700">=&gt;&nbsp;</span><span style="color: #0000BB">3451234</span><span style="color: #007700">,<br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span style="color: #0000BB">KADM5_POLICY&nbsp;</span><span style="color: #007700">=&gt;&nbsp;</span><span style="color: #DD0000">"gonicus"</span><span style="color: #007700">,<br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span style="color: #0000BB">KADM5_ATTRIBUTES&nbsp;</span><span style="color: #007700">=&gt;&nbsp;</span><span style="color: #0000BB">$attributes</span><span style="color: #007700">);<br /><br /></span><span style="color: #0000BB">kadm5_modify_principal</span><span style="color: #007700">(</span><span style="color: #0000BB">$handle</span><span style="color: #007700">,&nbsp;</span><span style="color: #DD0000">"burbach@GONICUS.LOCAL"</span><span style="color: #007700">,&nbsp;</span><span style="color: #0000BB">$options</span><span style="color: #007700">);<br /><br /></span><span style="color: #0000BB">kadm5_destroy</span><span style="color: #007700">(</span><span style="color: #0000BB">$handle</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">?&gt;</span>
</span>
</code></div>
    </div>

   </div>
  </p>
 </div>


 <div class="refsect1 seealso">
  <h3 class="title">See Also</h3>
  <p class="para">
   <ul class="simplelist">
    <li class="member"><a href="function.kadm5-create-principal.php" class="function" rel="rdfs-seeAlso">kadm5_create_principal()</a></li>
    <li class="member"><a href="function.kadm5-delete-principal.php" class="function" rel="rdfs-seeAlso">kadm5_delete_principal()</a></li>
   </ul>
  </p>
 </div>


</div><?php manual_footer(); ?>