<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/class.gssapicontext.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'en',
  ),
  'this' => 
  array (
    0 => 'gssapicontext.wrap.php',
    1 => 'GSSAPIContext::wrap',
  ),
  'up' => 
  array (
    0 => 'class.gssapicontext.php',
    1 => 'The GSSAPIContext class',
  ),
  'prev' => 
  array (
    0 => 'gssapicontext.verifymic.php',
    1 => 'GSSAPIContext::verifyMic',
  ),
  'next' => 
  array (
    0 => 'class.krb5negotiateauth.php',
    1 => 'KRB5NegotiateAuth',
  ),
);
$setup["toc"] = $TOC;
$setup["parents"] = $PARENTS;
manual_setup($setup);

manual_header();
?>
<div id="gssapicontext.wrap" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">GSSAPIContext::wrap</h1>
  <p class="verinfo">(No version information available, might be only in CVS)</p><p class="refpurpose"><span class="refname">GSSAPIContext::wrap</span> &mdash; <span class="dc-title">Wraps a message</span></p>

 </div>

 <div class="refsect1 description">
  <h3 class="title">Description</h3>
  <div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="type">bool</span> <span class="methodname"><b><b>GSSAPIContext::wrap</b></b></span>
    ( <span class="methodparam"><span class="type">string</span> <tt class="parameter">$input</tt></span>
   , <span class="methodparam"><span class="type">string</span> <tt class="parameter reference">&$output</tt></span>
   [, <span class="methodparam"><span class="type">boolean</span> <tt class="parameter">$encrypt</tt></span>
  ] )</div>

  <p class="para rdfs-comment">
   Wraps a message, which means that the message and a MIC will be combined into a token which may be passed to a remote party. Optionally the message can be also encrypted.
  </p>
 </div>


 <div class="refsect1 parameters">
  <h3 class="title">Parameters</h3>
  <p class="para">
   <dl>

    <dt>

     <span class="term"><i><tt class="parameter">input</tt></i>
</span>

     <dd>

      <p class="para">
       Message to wrap
      </p>
     </dd>

    </dt>

    <dt>

     <span class="term"><i><tt class="parameter">output</tt></i>
</span>

     <dd>

      <p class="para">
       Wrapped token
      </p>
     </dd>

    </dt>

    <dt>

     <span class="term"><i><tt class="parameter">encrypt</tt></i>
</span>

     <dd>

      <p class="para">
       Whether to encrypt the message
      </p>
     </dd>

    </dt>

   </dl>

  </p>

 </div>


 <div class="refsect1 returnvalues">
  <h3 class="title">Return Values</h3>
  <p class="para">
   Returns <i>true</i> if successful and <i>false</i> otherwise.
  </p>
 </div>


 <div class="refsect1 examples">
  <h3 class="title">Examples</h3>
  <p class="para">
   <div class="example">
    <p><b>Example #1 <b>GSSAPIContext::wrap()</b> example</b></p>
    <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000">
<span style="color: #0000BB">&lt;?php<br /></span><span style="color: #FF8000">/*&nbsp;...&nbsp;*/<br /><br /></span><span style="color: #0000BB">$message&nbsp;</span><span style="color: #007700">=&nbsp;</span><span style="color: #DD0000">'test'</span><span style="color: #007700">;<br /></span><span style="color: #0000BB">$decoded&nbsp;</span><span style="color: #007700">=&nbsp;</span><span style="color: #DD0000">''</span><span style="color: #007700">;<br /></span><span style="color: #0000BB">$token&nbsp;</span><span style="color: #007700">=&nbsp;</span><span style="color: #DD0000">''</span><span style="color: #007700">;<br /><br /><br /></span><span style="color: #0000BB">$sgssapi</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">wrap</span><span style="color: #007700">(</span><span style="color: #0000BB">$message</span><span style="color: #007700">,&nbsp;</span><span style="color: #0000BB">$token</span><span style="color: #007700">,&nbsp;</span><span style="color: #0000BB">true</span><span style="color: #007700">);&nbsp;</span><span style="color: #FF8000">//&nbsp;adds&nbsp;a&nbsp;MIC&nbsp;and&nbsp;encrypts&nbsp;$message<br /><br /></span><span style="color: #0000BB">$cgssapi</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">unwrap</span><span style="color: #007700">(</span><span style="color: #0000BB">$token</span><span style="color: #007700">,&nbsp;</span><span style="color: #0000BB">$decoded</span><span style="color: #007700">);&nbsp;<br /></span><span style="color: #FF8000">//&nbsp;returns&nbsp;true&nbsp;when&nbsp;the&nbsp;embedded&nbsp;MIC&nbsp;is&nbsp;valid<br />//&nbsp;$decoded&nbsp;will&nbsp;contain&nbsp;test<br /></span><span style="color: #0000BB">?&gt;</span>
</span>
</code></div>
    </div>

   </div>
  </p>
 </div>


 <div class="refsect1 seealso">
  <h3 class="title">See Also</h3>
  <p class="para">
   <ul class="simplelist">
    <li class="member"> <span class="methodname"><b><a href="gssapicontext.unwrap.php" class="function" rel="rdfs-seeAlso">GSSAPIContext::unwrap</a></b></span></li>
   </ul>
  </p>
 </div>


</div><?php manual_footer(); ?>