<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/class.krb5ccache.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'en',
  ),
  'this' => 
  array (
    0 => 'krb5ccache.isvalid.php',
    1 => 'KRB5CCache::isValid',
  ),
  'up' => 
  array (
    0 => 'class.krb5ccache.php',
    1 => 'The KRB5CCache class',
  ),
  'prev' => 
  array (
    0 => 'krb5ccache.initpassword.php',
    1 => 'KRB5CCache::initPassword',
  ),
  'next' => 
  array (
    0 => 'krb5ccache.open.php',
    1 => 'KRB5CCache::open',
  ),
);
$setup["toc"] = $TOC;
$setup["parents"] = $PARENTS;
manual_setup($setup);

manual_header();
?>
<div id="krb5ccache.isvalid" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">KRB5CCache::isValid</h1>
  <p class="verinfo">(No version information available, might be only in CVS)</p><p class="refpurpose"><span class="refname">KRB5CCache::isValid</span> &mdash; <span class="dc-title">Checks whether the credentials contained are still valid</span></p>

 </div>

 <div class="refsect1 description">
  <h3 class="title">Description</h3>
  <div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="type">bool</span> <span class="methodname"><b><b>KRB5CCache::isValid</b></b></span>
    ([ <span class="methodparam"><span class="type">int</span> <tt class="parameter">$seconds</tt></span>
  ] )</div>

  <p class="para rdfs-comment">
   Checks whether the credentials contained are still valid or will be still valid after a given amount of time. Make sure to add a reasonable amount of time to compensate for clock skew.
  </p>
 </div>


 <div class="refsect1 parameters">
  <h3 class="title">Parameters</h3>
  <dl>

    <dt>

     <span class="term"><i><tt class="parameter">seconds</tt></i>
</span>

     <dd>

      <p class="para">
       Number of seconds for which the credentials should stay valid. 
      </p>
     </dd>

    </dt>

   </dl>

 </div>


 <div class="refsect1 returnvalues">
  <h3 class="title">Return Values</h3>
  <p class="para">
   Returns <i>true</i> if the credentials are valid and <i>false</i> otherwise.
  </p>
 </div>


 <div class="refsect1 examples">
  <h3 class="title">Examples</h3>
  <p class="para">
   <div class="example">
    <p><b>Example #1 <b>KRB5CCache::isValid()</b> example</b></p>
    <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000">
<span style="color: #0000BB">&lt;?php<br />$ccache</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">isValid</span><span style="color: #007700">();&nbsp;</span><span style="color: #FF8000">//&nbsp;checks&nbsp;whether&nbsp;the&nbsp;credential&nbsp;cache&nbsp;is&nbsp;still&nbsp;valid<br /></span><span style="color: #0000BB">$ccache</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">isValid</span><span style="color: #007700">(</span><span style="color: #0000BB">3600</span><span style="color: #007700">);&nbsp;</span><span style="color: #FF8000">//&nbsp;checks&nbsp;whether&nbsp;the&nbsp;credential&nbsp;cache&nbsp;is&nbsp;still&nbsp;valid&nbsp;in&nbsp;an&nbsp;hour<br /></span><span style="color: #0000BB">?&gt;</span>
</span>
</code></div>
    </div>

   </div>
  </p>
 </div>


</div><?php manual_footer(); ?>