<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/class.krb5ccache.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'en',
  ),
  'this' => 
  array (
    0 => 'krb5ccache.save.php',
    1 => 'KRB5CCache::save',
  ),
  'up' => 
  array (
    0 => 'class.krb5ccache.php',
    1 => 'The KRB5CCache class',
  ),
  'prev' => 
  array (
    0 => 'krb5ccache.open.php',
    1 => 'KRB5CCache::open',
  ),
  'next' => 
  array (
    0 => 'krb5ccache.setconfig.php',
    1 => 'KRB5CCache::setConfig',
  ),
);
$setup["toc"] = $TOC;
$setup["parents"] = $PARENTS;
manual_setup($setup);

manual_header();
?>
<div id="krb5ccache.save" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">KRB5CCache::save</h1>
  <p class="verinfo">(No version information available, might be only in CVS)</p><p class="refpurpose"><span class="refname">KRB5CCache::save</span> &mdash; <span class="dc-title">Copies the contents of the credential cache to another one</span></p>

 </div>

 <div class="refsect1 description">
  <h3 class="title">Description</h3>
  <div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="type"><span class="type void">void</span></span> <span class="methodname"><b><b>KRB5CCache::save</b></b></span>
    ( <span class="methodparam"><span class="type">string</span> <tt class="parameter">$destination</tt></span>
   )</div>

  <p class="para rdfs-comment">
   Copies the contents of the credential cache to another one. Please note that only the credentials currently available will be stored, so you will have to save the credential cache <em class="emphasis">after</em> service credentials are obtained through e.g. GSSAPI.
  </p>
 </div>


 <div class="refsect1 parameters">
  <h3 class="title">Parameters</h3>
   <p class="para">
   <dl>

    <dt>

     <span class="term"><i><tt class="parameter">destination</tt></i>
</span>

     <dd>

      <p class="para">
       Identifier of the destination credential cache (e.g. <i>FILE:/some/path/to/ccache</i>)
      </p>
     </dd>

    </dt>

   </dl>

  </p>
 </div>


 <div class="refsect1 examples">
  <h3 class="title">Examples</h3>
  <p class="para">
   <div class="example">
    <p><b>Example #1 <a href="krb5ccache.open.php" class="function">KRB5CCache::open()</a> example</b></p>
    <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000">
<span style="color: #0000BB">&lt;?php<br />$ccache&nbsp;</span><span style="color: #007700">=&nbsp;new&nbsp;</span><span style="color: #0000BB">KRB5CCache</span><span style="color: #007700">();<br /></span><span style="color: #0000BB">$ccache</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">initPassword</span><span style="color: #007700">(</span><span style="color: #DD0000">'test@MYREALM'</span><span style="color: #007700">,&nbsp;</span><span style="color: #DD0000">'test'</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">$ccache</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">save</span><span style="color: #007700">(</span><span style="color: #DD0000">'FILE:/tmp/my.ccache'</span><span style="color: #007700">);<br /><br /></span><span style="color: #0000BB">$ccache2&nbsp;</span><span style="color: #007700">=&nbsp;new&nbsp;</span><span style="color: #0000BB">KRB5CCache</span><span style="color: #007700">();<br /></span><span style="color: #0000BB">$ccache2</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">open</span><span style="color: #007700">(</span><span style="color: #DD0000">'FILE:/tmp/my.ccache'</span><span style="color: #007700">);<br /></span><span style="color: #FF8000">//&nbsp;$ccache2&nbsp;will&nbsp;now&nbsp;contain&nbsp;the&nbsp;TGT&nbsp;for&nbsp;test@MYREALM<br /></span><span style="color: #0000BB">?&gt;</span>
</span>
</code></div>
    </div>

   </div>
  </p>
 </div>


</div><?php manual_footer(); ?>