<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/krb5.constants.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'en',
  ),
  'this' => 
  array (
    0 => 'pecl.krb5.constantsOP.php',
    1 => 'Constants for Options',
  ),
  'up' => 
  array (
    0 => 'krb5.constants.php',
    1 => 'Predefined Constants',
  ),
  'prev' => 
  array (
    0 => 'krb5.constantsAF.php',
    1 => 'Constants for Attribute Flags',
  ),
  'next' => 
  array (
    0 => 'kadm5.examples.php',
    1 => 'Examples',
  ),
);
$setup["toc"] = $TOC;
$setup["parents"] = $PARENTS;
manual_setup($setup);

manual_header();
?>
<div id="pecl.krb5.constantsOP" class="section">
 <h2 class="title">Constants for Options</h2>
  <p class="para">
   The functions <a href="function.kadm5-create-principal.php" class="function">kadm5_create_principal()</a>,
   <a href="function.kadm5-modify-principal.php" class="function">kadm5_modify_principal()</a>, and
   <a href="function.kadm5-get-principal.php" class="function">kadm5_get_principal()</a> allow to specify or return
   principal&#039;s options as an associative array. The keys for the associative
   array are defined as string constants below:
   <table class="doctable formaltable">
    <caption><b>Options for creating/modifying/retrieving principals</b></caption>
    
     <thead valign="middle">
      <tr valign="middle">
       <th>constant</th>
       <th>funcdef</th>
       <th>description</th>
      </tr>

     </thead>

     <tbody valign="middle" class="tbody">
      <tr valign="middle">
       <td align="left">KADM5_PRINCIPAL</td>
       <td align="left">long</td>
       <td align="left">The expire time of the princial as a Kerberos timestamp.</td>
      </tr>

      <tr valign="middle">
       <td align="left">KADM5_PRINC_EXPIRE_TIME</td>
       <td align="left">long</td>
       <td align="left">The expire time of the princial as a Kerberos timestamp.</td>
      </tr>

      <tr valign="middle">
       <td align="left">KADM5_LAST_PW_CHANGE</td>
       <td align="left">long</td>
       <td align="left">The time this principal&#039;s password was last changed.</td>
      </tr>

      <tr valign="middle">
       <td align="left">KADM5_PW_EXPIRATION</td>
       <td align="left">long</td>
       <td align="left">
        The expire time of the principal&#039;s current password, as a Kerberos
        timestamp.
       </td>
      </tr>

      <tr valign="middle">
       <td align="left">KADM5_MAX_LIFE</td>
       <td align="left">long</td>
       <td align="left">
        The maximum lifetime of any Kerberos ticket issued to this principal.
       </td>
      </tr>

      <tr valign="middle">
       <td align="left">KADM5_MAX_RLIFE</td>
       <td align="left">long</td>
       <td align="left">
        The maximum renewable lifetime of any Kerberos ticket issued to or
        for this principal.
       </td>
      </tr>

      <tr valign="middle">
       <td align="left">KADM5_MOD_NAME</td>
       <td align="left">string</td>
       <td align="left">
        The name of the Kerberos principal that most recently modified this
        principal.
       </td>
      </tr>

      <tr valign="middle">
       <td align="left">KADM5_MOD_TIME</td>
       <td align="left">long</td>
       <td align="left">
        The time this principal was last modified, as a Kerberos timestamp.
       </td>
      </tr>

      <tr valign="middle">
       <td align="left">KADM5_KVNO</td>
       <td align="left">long</td>
       <td align="left">The version of the principal&#039;s current key.</td>
      </tr>

      <tr valign="middle">
       <td align="left">KADM5_POLICY</td>
       <td align="left">string</td>
       <td align="left">The name of the policy controlling this principal.</td>
      </tr>

      <tr valign="middle">
       <td align="left">KADM5_CLEARPOLICY</td>
       <td align="left">long</td>
       <td align="left">
        Standard procedure is to assign the &#039;default&#039; policy to new
        principals. KADM5_CLEARPOLICY suppresses this behaviour.
       </td>
      </tr>

      <tr valign="middle">
       <td align="left">KADM5_LAST_SUCCESS</td>
       <td align="left">long</td>
       <td align="left">The KDC time of the last successfull AS_REQ.</td>
      </tr>

      <tr valign="middle">
       <td align="left">KADM5_LAST_FAILED</td>
       <td align="left">long</td>
       <td align="left">The KDC time of the last failed AS_REQ.</td>
      </tr>

      <tr valign="middle">
       <td align="left">KADM5_FAIL_AUTH_COUNT</td>
       <td align="left">long</td>
       <td align="left">The number of consecutive failed AS_REQs.</td>
      </tr>

      <tr valign="middle">
       <td align="left">KADM5_RANDKEY</td>
       <td align="left">long</td>
       <td align="left">
        Generates a random password for the principal. The parameter
        <i><tt class="parameter">password</tt></i>
 will be ignored.
       </td>
      </tr>

      <tr valign="middle">
       <td align="left">KADM5_ATTRIBUTES</td>
       <td align="left">long</td>
       <td align="left">A bitfield of attributes for use by the KDC.</td>
      </tr>

     </tbody>
    
   </table>

  </p>
 </div><?php manual_footer(); ?>